Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.console
Interface IConsoleManager

public interface IConsoleManager

Manages consoles.

Clients are not intended to implement this interface.

Since:
  3.0

Method Summary
`void` | `addConsoleListener(IConsoleListener listener)` Registers the given listener for console notifications.
`void` | `addConsoles(IConsole[] consoles)` Adds the given consoles to the console manager.
`IConsole[]` | `getConsoles()` Returns a collection of consoles registered with the console manager.
`void` | `removeConsoleListener(IConsoleListener listener)` Deregisters the given listener for console notifications.
`void` | `removeConsoles(IConsole[] consoles)` Removes the given consoles from the console manager.
`void` | `showConsoleView(IConsole console)` Opens the console view and displays given the console.
`void` | `warnOfContentChange(IConsole console)` Warns that the content of the given console has changed in all console views.

Method Detail

### addConsoleListener

    public void addConsoleListener(IConsoleListener listener)

  Registers the given listener for console notifications. Has no effect if an identical listener is already registered.

  Parameters:
    `listener` - listener to register

### removeConsoleListener

    public void removeConsoleListener(IConsoleListener listener)

  Deregisters the given listener for console notifications. Has no effect if an identical listener is not already registered.

  Parameters:
    `listener` - listener to deregister

### addConsoles

    public void addConsoles(IConsole[] consoles)

  Adds the given consoles to the console manager. Has no effect for equivalent consoles already registered. The consoles will be added to any existing console views.

  Parameters:
    `consoles` - consoles to add

### removeConsoles

    public void removeConsoles(IConsole[] consoles)

  Removes the given consoles from the console manager. If the consoles are being displayed in any console views, the associated pages will be closed.

  Parameters:
    `consoles` - consoles to remove

### getConsoles

    public IConsole[] getConsoles()

  Returns a collection of consoles registered with the console manager.

  Returns:
    a collection of consoles registered with the console manager

### showConsoleView

    public void showConsoleView(IConsole console)

  Opens the console view and displays given the console. If the view is already open, it is brought to the front unless the view is pinned on a console other than the given console.

  Parameters:
    `console` - console to display

### warnOfContentChange

    public void warnOfContentChange(IConsole console)

  Warns that the content of the given console has changed in all console views.

  Parameters:
    `console` - the console that has changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.